#pragma once
#include "RenderTechnique.h"

/**
	@brief Base abstract class of rendering an object that recieves shadows with depth map shadow technique. 	
*/
class DepthShadowRecieverRenderTechnique : virtual public RenderTechnique
{
public:
	/**
		@brief Constructor.

		@param parentRenderable the object to operate on
		@param parentTechniqueGroup the TechniqueGroup this RenderedTechnique is attached to
	*/
	DepthShadowRecieverRenderTechnique( 
							ElementaryRenderable* parentRenderable,
							TechniqueGroup* parentTechniqueGroup
							);
	~DepthShadowRecieverRenderTechnique();	
	
protected:		
	
};